be.vlaanderen.mercurius.mohm.common.v7

## Class ApplicationViewWheelchairAdviceReportType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewWheelchairAdviceReportType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ApplicationViewWheelchairAdviceReportType
      extends Object
      implements Serializable

  Generiek type voor RAR in het beeld van een aanvraag.

  Java class for ApplicationViewWheelchairAdviceReportType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationViewWheelchairAdviceReportType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType" minOccurs="0"/>
               <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="CreatedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="ReceivedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="HasHomeVisit" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationViewWheelchairAdviceReportType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApprovalNumber()` Gets the value of the approvalNumber property.
    `org.joda.time.DateTime` | `getCreatedDate()` Gets the value of the createdDate property.
    `org.joda.time.DateTime` | `getReceivedDate()` Gets the value of the receivedDate property.
    `org.joda.time.DateTime` | `getRequestedDate()` Gets the value of the requestedDate property.
    `Boolean` | `isHasHomeVisit()` Gets the value of the hasHomeVisit property.
    `void` | `setApprovalNumber(String value)` Sets the value of the approvalNumber property.
    `void` | `setCreatedDate(org.joda.time.DateTime value)` Sets the value of the createdDate property.
    `void` | `setHasHomeVisit(Boolean value)` Sets the value of the hasHomeVisit property.
    `void` | `setReceivedDate(org.joda.time.DateTime value)` Sets the value of the receivedDate property.
    `void` | `setRequestedDate(org.joda.time.DateTime value)` Sets the value of the requestedDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationViewWheelchairAdviceReportType

          public ApplicationViewWheelchairAdviceReportType()

  - ### Method Detail

    - #### getApprovalNumber

          public String getApprovalNumber()

      Gets the value of the approvalNumber property.
      Returns:
        possible object is `String`

    - #### setApprovalNumber

          public void setApprovalNumber(String value)

      Sets the value of the approvalNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRequestedDate

          public org.joda.time.DateTime getRequestedDate()

      Gets the value of the requestedDate property.
      Returns:
        possible object is `String`

    - #### setRequestedDate

          public void setRequestedDate(org.joda.time.DateTime value)

      Sets the value of the requestedDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedDate

          public org.joda.time.DateTime getCreatedDate()

      Gets the value of the createdDate property.
      Returns:
        possible object is `String`

    - #### setCreatedDate

          public void setCreatedDate(org.joda.time.DateTime value)

      Sets the value of the createdDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceivedDate

          public org.joda.time.DateTime getReceivedDate()

      Gets the value of the receivedDate property.
      Returns:
        possible object is `String`

    - #### setReceivedDate

          public void setReceivedDate(org.joda.time.DateTime value)

      Sets the value of the receivedDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### isHasHomeVisit

          public Boolean isHasHomeVisit()

      Gets the value of the hasHomeVisit property.
      Returns:
        possible object is `Boolean`

    - #### setHasHomeVisit

          public void setHasHomeVisit(Boolean value)

      Sets the value of the hasHomeVisit property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.